# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

_Public Classes_

* [`choria_aaasvc`](#choria_aaasvc): Installs, configures and manages the Choria AAA system
* [`choria_aaasvc::client`](#choria_aaasvcclient): Configure an MCO client to interact with the Choria AAA svc

_Private Classes_

* `choria_aaasvc::config`: Configures the Choria Server
* `choria_aaasvc::install`: Installs the `choria-aaasvc` package
* `choria_aaasvc::service`: Manages the `aaasvc` service

## Classes

### choria_aaasvc

Installs, configures and manages the Choria AAA system

* **See also**
https://github.com/choria-io/aaasvc

#### Examples

##### 

```puppet
include choria_aaasvc
```

#### Parameters

The following parameters are available in the `choria_aaasvc` class.

##### `config_file`

Data type: `Stdlib::Compat::Absolute_path`

Absolute path to the main choria AAA configuration file

##### `choria_config_file`

Data type: `Stdlib::Compat::Absolute_path`

Absolute path to the AAA svc choria config file

##### `config`

Data type: `Hash`

The main configuration for AAA svc

##### `choria_config`

Data type: `Hash`

The choria side configuration for AAA svc

##### `ensure`

Data type: `Enum['present', 'absent']`

Add or remove the software

##### `package_name`

Data type: `String`

The package to install

##### `service_name`

Data type: `String`

Name of the choria AAA service

##### `version`

Data type: `String`

The version of Choria AAA to install

##### `user_config`

Data type: `Array[Hash]`

List of users to configure for the userlist authenticator.

##### `userlist_file`

Data type: `Stdlib::Compat::Absolute_path`

Absolute path to the file containing the list of users.
Note that this is only used if using the `userlist` authenticator.

### choria_aaasvc::client

Configure an MCO client to interact with the Choria AAA svc

#### Examples

##### 

```puppet
include choria_aaasvc::client
```

#### Parameters

The following parameters are available in the `choria_aaasvc::client` class.

##### `config`

Data type: `Hash`



